summaryrefslogtreecommitdiffhomepage
path: root/modules
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2009-04-12 20:03:27 +0000
committerJo-Philipp Wich <jow@openwrt.org>2009-04-12 20:03:27 +0000
commit6e56fe21ab7f4c6aa4b5b4b646e9a633ec5c91de (patch)
tree02843cbb62a634af4c4fae9ee9d53d5f6ff1d351 /modules
parentccd5ed7cec5bd2cd8121d22648074be905d793ab (diff)
modules/freifunk: add some utility scripts from white russian firmware
Diffstat (limited to 'modules')
-rwxr-xr-xmodules/freifunk/root/usr/bin/ffdzero10
-rwxr-xr-xmodules/freifunk/root/usr/bin/neigh.sh3
2 files changed, 13 insertions, 0 deletions
diff --git a/modules/freifunk/root/usr/bin/ffdzero b/modules/freifunk/root/usr/bin/ffdzero
new file mode 100755
index 000000000..24e8c2e18
--- /dev/null
+++ b/modules/freifunk/root/usr/bin/ffdzero
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+test "$1" = "-h" && echo -e "Usage:\n\t$0 -h\n\t$0 [ { ip | hostname } ]" >&2 && exit 1
+
+host="${1:-leipzig.freifunk.net}"
+
+wget -O /dev/null http://$host/cgi-bin-dev-zero.bin
+test "$?" = "1" && wget -O /dev/null http://$host/cgi-bin/dev-zero.bin
+test "$?" = "1" && wget -O /dev/null http://$host/cgi-bin/luci/freifunk/status/zeroes
+test "$?" = "1" && echo "$host: no zero download found..." && exit 1
diff --git a/modules/freifunk/root/usr/bin/neigh.sh b/modules/freifunk/root/usr/bin/neigh.sh
new file mode 100755
index 000000000..723b813b7
--- /dev/null
+++ b/modules/freifunk/root/usr/bin/neigh.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+wget -q -O - http://localhost:2006/neighbours|sed -e's/LinkQuality/LQ/;s/Hysteresis/Hyst./;s/Willingness/Will./'